### Hierarchy

- ModelUtilImpl

### Implements

- ModelUtil

## Index

### Methods

- assignProp
- deserializeArray
- jsonToModel
- modelToJson
- classType
- typeInstance

### Object literals

- classTypes
- subTypes

## Methods

### Private assignProp

- assignProp(prop: any, value: any, target: any, type: any, n: any): void

- - Defined in models/ModelUtilImpl.ts:163

  #### Parameters

  - ##### prop: any

  - ##### value: any

  - ##### target: any

  - ##### type: any

  - ##### n: any

  #### Returns void

### Private deserializeArray

- deserializeArray(array: any[]): Promise<any>

- - Defined in models/ModelUtilImpl.ts:151

  #### Parameters

  - ##### array: any[]

  #### Returns Promise<any>

### jsonToModel

- jsonToModel<A>(obj: any, n?: number): Promise<A>

- - Defined in models/ModelUtilImpl.ts:95

  #### Type parameters

  - #### A

  #### Parameters

  - ##### obj: any

  - ##### Default value n: number = 0

  #### Returns Promise<A>

### modelToJson

- modelToJson(obj: any, filterFn?: function): StringDictionary

- - Defined in models/ModelUtilImpl.ts:145

  #### Parameters

  - ##### obj: any

  - ##### Optional filterFn: function

    - - (prop: any): boolean

      - #### Parameters

        - ##### prop: any

        #### Returns boolean

  #### Returns StringDictionary

### Static Private classType

- classType(name: any): any

- - Defined in models/ModelUtilImpl.ts:83

  #### Parameters

  - ##### name: any

  #### Returns any

### Static Private typeInstance

- typeInstance(obj: any): any

- - Defined in models/ModelUtilImpl.ts:87

  #### Parameters

  - ##### obj: any

  #### Returns any

## Object literals

### Static Private classTypes

classTypes: object

- Defined in models/ModelUtilImpl.ts:42

### hxgn.api.dialog.Annotation

hxgn.api.dialog.Annotation: DataAnnotation = DataAnnotation

- Defined in models/ModelUtilImpl.ts:43

### hxgn.api.dialog.AttributeCellValue

hxgn.api.dialog.AttributeCellValue: AttributeCellValue = AttributeCellValue

- Defined in models/ModelUtilImpl.ts:44

### hxgn.api.dialog.BarcodeScan

hxgn.api.dialog.BarcodeScan: BarcodeScan = BarcodeScan

- Defined in models/ModelUtilImpl.ts:46

### hxgn.api.dialog.Calendar

hxgn.api.dialog.Calendar: Calendar = Calendar

- Defined in models/ModelUtilImpl.ts:47

### hxgn.api.dialog.CodeRef

hxgn.api.dialog.CodeRef: CodeRef = CodeRef

- Defined in models/ModelUtilImpl.ts:48

### hxgn.api.dialog.Details

hxgn.api.dialog.Details: Details = Details

- Defined in models/ModelUtilImpl.ts:49

### hxgn.api.dialog.DialogException

hxgn.api.dialog.DialogException: DialogException = DialogException

- Defined in models/ModelUtilImpl.ts:50

### hxgn.api.dialog.EditorDialog

hxgn.api.dialog.EditorDialog: EditorDialog = EditorDialog

- Defined in models/ModelUtilImpl.ts:51

### hxgn.api.dialog.ForcedLineCellValue

hxgn.api.dialog.ForcedLineCellValue: ForcedLineCellValue = ForcedLineCellValue

- Defined in models/ModelUtilImpl.ts:52

### hxgn.api.dialog.Form

hxgn.api.dialog.Form: Form = Form

- Defined in models/ModelUtilImpl.ts:53

### hxgn.api.dialog.GpsReading

hxgn.api.dialog.GpsReading: GpsReading = GpsReading

- Defined in models/ModelUtilImpl.ts:54

### hxgn.api.dialog.GpsReadingProperty

hxgn.api.dialog.GpsReadingProperty: GpsReadingProperty = GpsReadingProperty

- Defined in models/ModelUtilImpl.ts:55

### hxgn.api.dialog.Graph

hxgn.api.dialog.Graph: Graph = Graph

- Defined in models/ModelUtilImpl.ts:58

### hxgn.api.dialog.LabelCellValue

hxgn.api.dialog.LabelCellValue: LabelCellValue = LabelCellValue

- Defined in models/ModelUtilImpl.ts:59

### hxgn.api.dialog.LargeProperty

hxgn.api.dialog.LargeProperty: LargeProperty = LargeProperty

- Defined in models/ModelUtilImpl.ts:60

### hxgn.api.dialog.List

hxgn.api.dialog.List: List = List

- Defined in models/ModelUtilImpl.ts:61

### hxgn.api.dialog.Map

hxgn.api.dialog.Map: Map = Map

- Defined in models/ModelUtilImpl.ts:62

### hxgn.api.dialog.MapLocation

hxgn.api.dialog.MapLocation: MapLocation = MapLocation

- Defined in models/ModelUtilImpl.ts:56

### hxgn.api.dialog.MapLocationProperty

hxgn.api.dialog.MapLocationProperty: MapLocationProperty = MapLocationProperty

- Defined in models/ModelUtilImpl.ts:57

### hxgn.api.dialog.Menu

hxgn.api.dialog.Menu: Menu = Menu

- Defined in models/ModelUtilImpl.ts:63

### hxgn.api.dialog.ObjectRef

hxgn.api.dialog.ObjectRef: ObjectRef = ObjectRef

- Defined in models/ModelUtilImpl.ts:64

### hxgn.api.dialog.Property

hxgn.api.dialog.Property: Property = Property

- Defined in models/ModelUtilImpl.ts:65

### hxgn.api.dialog.PropertyDef

hxgn.api.dialog.PropertyDef: PropertyDef = PropertyDef

- Defined in models/ModelUtilImpl.ts:66

### hxgn.api.dialog.QueryDialog

hxgn.api.dialog.QueryDialog: QueryDialog = QueryDialog

- Defined in models/ModelUtilImpl.ts:67

### hxgn.api.dialog.Record

hxgn.api.dialog.Record: RecordImpl = RecordImpl

- Defined in models/ModelUtilImpl.ts:68

### hxgn.api.dialog.RecordDef

hxgn.api.dialog.RecordDef: RecordDef = RecordDef

- Defined in models/ModelUtilImpl.ts:69

### hxgn.api.dialog.ReferringDialog

hxgn.api.dialog.ReferringDialog: ReferringDialog = ReferringDialog

- Defined in models/ModelUtilImpl.ts:70

### hxgn.api.dialog.ReferringWorkbench

hxgn.api.dialog.ReferringWorkbench: ReferringWorkbench = ReferringWorkbench

- Defined in models/ModelUtilImpl.ts:71

### hxgn.api.dialog.Stream

hxgn.api.dialog.Stream: Stream = Stream

- Defined in models/ModelUtilImpl.ts:72

### hxgn.api.dialog.SubstitutionCellValue

hxgn.api.dialog.SubstitutionCellValue: SubstitutionCellValue = SubstitutionCellValue

- Defined in models/ModelUtilImpl.ts:73

### hxgn.api.dialog.TabCellValue

hxgn.api.dialog.TabCellValue: TabCellValue = TabCellValue

- Defined in models/ModelUtilImpl.ts:45

### hxgn.api.dialog.ViewDescriptor

hxgn.api.dialog.ViewDescriptor: ViewDescriptor = ViewDescriptor

- Defined in models/ModelUtilImpl.ts:74

### Static Private subTypes

subTypes: object

- Defined in models/ModelUtilImpl.ts:77

### EditorDialog

EditorDialog: EditorDialog = EditorDialog

- Defined in models/ModelUtilImpl.ts:78

### FormDialog

FormDialog: FormDialog = FormDialog

- Defined in models/ModelUtilImpl.ts:79

### SearchDialog

SearchDialog: SearchDialog = SearchDialog

- Defined in models/ModelUtilImpl.ts:80

Generated using TypeDoc